package org.jboss.as.clustering.infinispan.cs.factory;


import org.infinispan.commons.configuration.Builder;
import org.infinispan.commons.configuration.Self;
import org.infinispan.configuration.cache.*;

import java.util.Properties;

public class CustomStoreConfigurationBuilder implements StoreConfigurationBuilder {

   @Override
   public void validate() {
   }

   @Override
   public Object create() {
      return null;
   }

   @Override
   public Builder<?> read(Object template) {
      return null;
   }

   @Override
   public AsyncStoreConfigurationBuilder async() {
      return null;
   }

   @Override
   public SingletonStoreConfigurationBuilder singleton() {
      return null;
   }

   @Override
   public Object fetchPersistentState(boolean b) {
      return null;
   }

   @Override
   public Object ignoreModifications(boolean b) {
      return null;
   }

   @Override
   public Object purgeOnStartup(boolean b) {
      return null;
   }

   @Override
   public Object preload(boolean b) {
      return null;
   }

   @Override
   public Object shared(boolean b) {
      return null;
   }

   @Override
   public Object addProperty(String key, String value) {
      return null;
   }

   @Override
   public Object withProperties(Properties p) {
      return null;
   }

   @Override
   public ClusteringConfigurationBuilder clustering() {
      return null;
   }

   @Override
   public CustomInterceptorsConfigurationBuilder customInterceptors() {
      return null;
   }

   @Override
   public DataContainerConfigurationBuilder dataContainer() {
      return null;
   }

   @Override
   public DeadlockDetectionConfigurationBuilder deadlockDetection() {
      return null;
   }

   @Override
   public EvictionConfigurationBuilder eviction() {
      return null;
   }

   @Override
   public ExpirationConfigurationBuilder expiration() {
      return null;
   }

   @Override
   public IndexingConfigurationBuilder indexing() {
      return null;
   }

   @Override
   public InvocationBatchingConfigurationBuilder invocationBatching() {
      return null;
   }

   @Override
   public JMXStatisticsConfigurationBuilder jmxStatistics() {
      return null;
   }

   @Override
   public PersistenceConfigurationBuilder persistence() {
      return null;
   }

   @Override
   public LockingConfigurationBuilder locking() {
      return null;
   }

   @Override
   public SecurityConfigurationBuilder security() {
      return null;
   }

   @Override
   public StoreAsBinaryConfigurationBuilder storeAsBinary() {
      return null;
   }

   @Override
   public TransactionConfigurationBuilder transaction() {
      return null;
   }

   @Override
   public VersioningConfigurationBuilder versioning() {
      return null;
   }

   @Override
   public UnsafeConfigurationBuilder unsafe() {
      return null;
   }

   @Override
   public SitesConfigurationBuilder sites() {
      return null;
   }

   @Override
   public CompatibilityModeConfigurationBuilder compatibility() {
      return null;
   }

   @Override
   public Configuration build() {
      return null;
   }

   @Override
   public Self self() {
      return null;
   }
}
